=== src/libs/qmleditorwidgets/CMakeLists.txt ===
add_qtc_library(QmlEditorWidgets
  DEPENDS QmlJS Utils Qt::Widgets
  SOURCES
    colorbox.cpp colorbox.h
    colorbutton.cpp colorbutton.h
    contextpanetextwidget.cpp contextpanetextwidget.h
    contextpanewidget.cpp contextpanewidget.h
    contextpanewidgetimage.cpp contextpanewidgetimage.h
    contextpanewidgetrectangle.cpp contextpanewidgetrectangle.h
    customcolordialog.cpp customcolordialog.h
    easingpane/easingcontextpane.cpp easingpane/easingcontextpane.h
    easingpane/easinggraph.cpp easingpane/easinggraph.h
    easingpane/easingpane.qrc
    filewidget.cpp filewidget.h
    fontsizespinbox.cpp fontsizespinbox.h
    gradientline.cpp gradientline.h
    huecontrol.cpp huecontrol.h
    qmleditorwidgets_global.h
    qmleditorwidgetstr.h
    resources_qmleditorwidgets.qrc
)
