=== debian/changelog ===
qtcreator (17.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Oct 2025 19:51:01 +0200

qtcreator (17.0.1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release:
    - supports Qt 6.9+ (Closes: #1115520)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Restore proper changelog entry.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2025 19:47:37 +0200
