=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/;s/-rc/~rc/" \
https://download.qt.io/official_releases/qtcreator/([\d\.]*)/([-a-z\d\.]*)/qt-creator-opensource-src-([-a-z\d\.]*)\.tar\.xz
