## qtcreator 18.0.0~beta1

=== debian/changelog ===
qtcreator (18.0.0~beta1-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - drop qt6-5compat-dev, no more needed

 -- Pino Toscano <pino@debian.org>  Thu, 25 Sep 2025 05:30:16 +0200
