=== src/tools/disclaim/CMakeLists.txt ===
set(IMPLICIT_DEPENDS) # never build against QtTest
add_qtc_executable(disclaim
  SOURCES
    disclaim.mm
)
