=== src/shared/qbs/tests/CMakeLists.txt ===
add_subdirectory(auto)
add_subdirectory(benchmarker)
add_subdirectory(clang-format-test)
add_subdirectory(fuzzy-test)
add_subdirectory(lspclient)
