=== tests/auto/cplusplus/semantic/CMakeLists.txt ===
add_qtc_test(tst_cplusplus_semantic
  DEPENDS CppEditor
  SOURCES tst_semantic.cpp
)
