=== debian/changelog ===
qtcreator (18.0.0~beta2-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 17.0.2-1.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Oct 2025 21:27:44 +0200
